<?php
/**
 * The Header for our theme.
 * @package WordPress
 * @subpackage MikeBasic
 */
?><!DOCTYPE html>
<html <?php language_attributes( ); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php wp_title( '&#8212;', true, 'right' ); bloginfo( 'name' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<script type="text/javascript" language="javascript" src="<?php bloginfo( 'template_directory' ); ?>/js/jquery-1.4.4.min.js"></script>
<?php
/* Always have wp_head() just before the closing </head>
 * tag of your theme, or you will break many plugins, which
 * generally use this hook to add elements to <head> such
 * as styles, scripts, and meta tags.
 */
wp_head( );
?>
</head>

<body <?php body_class(); ?>>
<div id="wrapper">
	<div id="header">
		<h1 id="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
		<p id="site-description"><?php bloginfo( 'description' ); ?></p>
	</div><!-- #header -->
	<div id="navigation">
		<?php wp_nav_menu( array( 'theme_location' => 'navigation', 'container' => false ) ); ?>
	</div><!-- #navigation -->