<?php
/**
 * The main template file.
 *
 * @package WordPress
 * @subpackage MikeBasic
 */

get_header(); ?>

<div id="content" role="main">

	<div class="column content-left">
	
		<?php if ( have_posts() ) : ?>

			<?php while ( have_posts() ) : the_post(); ?>
			
				<div id="post-<?php the_ID( ); ?>" <?php post_class( ); ?>>

					<?php if ( is_single( ) ): ?>
		
						<h2 class="entry-title">
							<?php the_title( ); ?>
						</h2>
						
						<div class="entry-meta">
							<?php echo mikebasic_posted_on( ); ?>
							<div class="entry-comments">
								<a href="<?php comments_link(); ?>" title="Responses to <?php the_title;?>">
									<?php echo _n( '1 Comment', number_format_i18n( get_comments_number( )) . ' Comments', get_comments_number( ) );?>
								</a>
							</div>
						</div><!-- .entry-meta -->
						
						<div class="entry-content">
							<?php the_content( ); ?>
						</div><!-- .entry-content -->
						
						<?php comments_template( '', true ); ?>
					
					<?php elseif ( is_page( ) ): ?>
					
						<h3 class="entry-title">
							<?php the_title( ); ?>
						</h3>
						
						<div class="entry-content">
							<?php the_content( ); ?>
						</div><!-- .entry-content -->
						
					<?php elseif ( is_archive( ) || is_search( ) ): ?>

						<h3 class="entry-title">
							<a href="<?php the_permalink( ); ?>" title="<?php echo esc_attr__( 'Permalink to ' . the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title( ); ?></a>
						</h3>
						
						<div class="entry-meta">
							<?php echo mikebasic_posted_on( ); ?>
							<?php if (get_comments_number( ) > 0): ?>
								<span class="sep">&nbsp;&#8212;&nbsp;</span>
								<a href="<?php comments_link(); ?>">
									<?php echo _n( '1 Comment', number_format_i18n( get_comments_number( )) . ' Comments', get_comments_number( ) );?>
								</a>
							<?php endif; ?>
						</div><!-- .entry-meta -->
						
						<div class="entry-excerpt">
							<?php echo get_the_excerpt( ); ?>
						</div><!-- .entry-excerpt -->
						
					<?php else: ?>
					
						<h3 class="entry-title">
							<a href="<?php the_permalink( ); ?>" title="<?php echo esc_attr__( 'Permalink to ' . the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title( ); ?></a>
						</h3>
						
						<div class="entry-meta">
							<?php echo mikebasic_posted_on( ); ?>
							<?php echo mikebasic_show_terms( ); ?>
							<?php if (get_comments_number( ) > 0): ?>
								<a href="<?php comments_link(); ?>">
									<?php echo _n( '1 Comment', number_format_i18n( get_comments_number( )) . ' Comments', get_comments_number( ) );?>
								</a>
							<?php endif; ?>
						</div><!-- .entry-meta -->
						
						<div class="entry-content">
							<?php the_content( ); ?>
						</div><!-- .entry-content -->
						
					<?php endif; ?>
					
				</div><!-- .post -->

			<?php endwhile; ?>

		<?php else : ?>

			<div id="post-0" class="post no-results not-found">
				<div class="entry-header">
					<h2 class="entry-title"><?php _e( 'Nothing Found', 'mikebasic' ); ?></h2>
				</div><!-- .entry-header -->

				<div class="entry-content">
					<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'mikebasic' ); ?></p>
					<?php get_search_form(); ?>
				</div><!-- .entry-content -->
				
			</div><!-- .post -->

		<?php endif; ?>
		
	</div><!-- #main -->
		
	<?php get_sidebar(); ?>

</div><!-- #content -->

<?php get_footer(); ?>